=== debian/changelog ===
bitshuffle (0.3.5-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:18:47 +0100

bitshuffle (0.3.5-3) unstable; urgency=medium

  * don't use -march=native when building the package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Dec 2019 19:03:38 +0100

bitshuffle (0.3.5-2) unstable; urgency=medium

  * the build failure reported on s390x was triggered by an issue
    with openmpi (which also introduced the -march=z15 flag)
    (Closes: #945331)
  * debian/control: bump standard to 4.4.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Nov 2019 19:03:38 +0100

bitshuffle (0.3.5-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Aug 2019 19:29:38 +0200
