=== debian/control ===
Source: bitshuffle
Section: devel
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 12)
        , dh-exec
	, dh-python
	, python3-all-dev
	, python3-numpy
	, libhdf5-openmpi-dev
#	, libopenmpi-dev
	, openmpi-bin
	, python3-setuptools
	, python3-h5py
        , quilt
        , cmake
	, pkg-config
	, cython3
Standards-Version: 4.4.1
Homepage: https://github.com/kiyo-masui/bitshuffle
Vcs-Browser: https://salsa.debian.org/alteholz/bitshuffle
Vcs-Git: https://salsa.debian.org/alteholz/bitshuffle.git

Package: bitshuffle
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: filter for improving compression of typed binary data
 Bitshuffle is an algorithm that rearranges typed, binary data for
 improving compression, as well as a python/C package that implements
 this algorithm within the Numpy framework.
 .
 The library can be used along side HDF5 to compress and decompress
 datasets and is integrated through the dynamically loaded filters
 framework. Bitshuffle is HDF5 filter number 32008.
 .
 Algorithmically, Bitshuffle is closely related to HDF5's Shuffle
 filter except it operates at the bit level instead of the byte level.
 Arranging a typed data array in to a matrix with the elements as the
 rows and the bits within the elements as the columns, Bitshuffle
 "transposes" the matrix, such that all the least-significant-bits
 are in a row, etc. This transpose is performed within blocks of
 data roughly 8kB long.
 .
 This does not in itself compress data, only rearranges it for more
 efficient compression. To perform the actual compression you will
 need a compression library. Bitshuffle has been designed to be well
 matched Marc Lehmann's LZF as well as LZ4. Note that because
 Bitshuffle modifies the data at the bit level, sophisticated entropy
 reducing compression libraries such as GZIP and BZIP are unlikely to
 achieve significantly better compression than simpler and faster
 duplicate-string-elimination algorithms such as LZF and LZ4.
 Bitshuffle thus includes routines (and HDF5 filter options) to apply
 LZ4 compression to each block after shuffling.
 .
 The Bitshuffle algorithm relies on neighbouring elements of a dataset
 being highly correlated to improve data compression. Any correlations
 that span at least 24 elements of the dataset may be exploited to
 improve compression.
