=== debian/watch ===
version=4

# https://github.com/kiyo-masui/bitshuffle
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bitshuffle-$1.tar.gz%" \
   https://github.com/kiyo-masui/bitshuffle/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
