## bitshuffle 0.5.1

=== requirements.txt ===
# Order matters
setuptools>=0.7
Cython>=0.19
numpy>=1.6.1
h5py>=2.4.0
