=== debian/changelog ===
bitshuffle (0.5.1-1.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:35 +1100

bitshuffle (0.5.1-1.2build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 17:52:17 +0000

bitshuffle (0.5.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/0005-remove-march-and-mcpu-to-avoid-FTBFS.patch
    - Hopefully it will fix a bunch of FTBFS.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 22 Dec 2023 18:03:34 +0100

bitshuffle (0.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Enrico Zini ]
  * added provides and autopkgtests after
    https://salsa.debian.org/science-team/h5f-packaging-guidelines
    Closes: #1032583

  [ Picca Frédéric-Emmanuel ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * d/patches/*: gbp pq rebased on the new upstream version
  * d/control: Added B-D dh-sequence-numpy3 whcih was missing in d/rules.
  * d/control: Added B-D pybuild-plugin-pyproject
  * d/control: Added B-D python3-h5py
    - Bug fix: "FTBFS: ImportError: cannot import name h5d", thanks to Lucas
      Nussbaum (Closes: #1054716).
  * d/control: Added B-D hdf5-tools <!nocheck> in order to run tests.
  * Bug fix: "please add autopkgtests (to add coverage for
    python3-numpy)", thanks to Sandro Tosi (Closes: #1035129).
  * Bug fix: "runtime dependency on cython", thanks to Matthias Klose
    (Closes: #1057984).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1043669).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 22 Dec 2023 17:08:17 +0100

bitshuffle (0.3.5-4) unstable; urgency=medium

  [Picca Frédéric-Emmanuel]
  * Bug fix: "Unvendor liblzf", thanks to Timo Röhling (Closes: #958322).
  * Unvendor liblz4
  * Built hdf5 plugins for serial and openmpi version of hdf5, and install
    them at the expected default location.

  [Thorsten Alteholz]
  * debian/control: bump standard to 3.6.0
  * debian/control: set Rules-Requires-Root: no

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 Feb 2022 22:03:38 +0100

bitshuffle (0.3.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Drew Parsons <dparsons@debian.org>, Gilles Filippini <pini@debian.org> ]
  * Closes: #955456
    - fix-deprecated.patch: fix test_h5filter.py and test_h5plugin.py
      to open files with flag 'w' when required
    - Build-Depends: python3-h5py-mpi to force using the mpi flavour
      of h5py
    - override_dh_auto_test:
      - Run the tests via mpirun so that h5py knows it has to invoke its
        mpi implementation
      - Launch the tests for each python version separately to permit MPI
        initialization at each run

 -- Gilles Filippini <pini@debian.org>  Tue, 07 Apr 2020 20:50:47 +0200
