=== debian/control ===
--- 
+++ 
@@ -1,30 +1,46 @@
 Source: bitshuffle
 Section: devel
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 12)
-        , dh-exec
-	, dh-python
-	, python3-all-dev
-	, python3-numpy
-	, libhdf5-openmpi-dev
-#	, libopenmpi-dev
-	, openmpi-bin
-	, python3-setuptools
-	, python3-h5py
-        , quilt
-        , cmake
-	, pkg-config
-	, cython3
-Standards-Version: 4.4.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends:
+ cython3,
+ debhelper-compat (= 13),
+ dh-exec,
+ dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ hdf5-tools <!nocheck>,
+ libhdf5-openmpi-dev,
+ libhdf5-serial-dev,
+ liblz4-dev,
+ liblzf-dev,
+ libzstd-dev,
+ openmpi-bin,
+ pkg-config,
+ pybuild-plugin-pyproject,
+ python3-all-dev,
+ python3-h5py,
+ python3-h5py-mpi,
+ python3-numpy,
+ python3-setuptools,
+ python3-pytest <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/kiyo-masui/bitshuffle
 Vcs-Browser: https://salsa.debian.org/alteholz/bitshuffle
 Vcs-Git: https://salsa.debian.org/alteholz/bitshuffle.git
+Rules-Requires-Root: no
 
 Package: bitshuffle
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Provides:
+ hdf5-filter-plugin-bshuf-openmpi,
+ hdf5-filter-plugin-bshuf-serial,
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: filter for improving compression of typed binary data
  Bitshuffle is an algorithm that rearranges typed, binary data for
  improving compression, as well as a python/C package that implements
