## bitshuffle 0.5.2

=== requirements.txt ===
# Order matters
setuptools>=0.7
Cython>=0.19
numpy>=1.24
h5py>=2.4.0
