=== debian/changelog ===
bitshuffle (0.5.2-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:41:31 +0000

bitshuffle (0.5.2-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:03:03 +0000

bitshuffle (0.5.2-1build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Jan 2025 17:58:04 +0000

bitshuffle (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * d/control: B-D pkg-config -> pkgconf

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 19 Nov 2024 12:18:11 +0100

bitshuffle (0.5.1-2) unstable; urgency=medium

  * Team Upload
  * d/control:
    - Maintainer is now
      Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
    - Moved Thorsten Alteholz <debian@alteholz.de> to Uploaders
    - Added more uploaders:
       - Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
       - Picca Frédéric-Emmanuel <picca@debian.org>
    - B-D: do not hardcode the mpi version and instead use the default-mpi-[X] packages.
  * d/rules:
    - the zstd pkgconf file is names libzstd and not zstd
    - do not use allow-run-as-root which is not available with mpich.
  * Bug fix: "switch to hdf5/mpich on 32 bit architectures or remove 32
    bit binary packages", thanks to Sebastian Ramacher (Closes: #1081719).
  * Bug fix: "What about moving bitshuffle into debian-science", thanks to
    Picca Frédéric-Emmanuel (Closes: #959964).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 22 Sep 2024 10:33:11 +0200

bitshuffle (0.5.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch gcc14.patch to fix FTBFS against GCC-14 (closes: #1074848)

 -- Gilles Filippini <pini@debian.org>  Fri, 16 Aug 2024 21:57:44 +0200
