=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: bitshuffle
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders:
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Thorsten Alteholz <debian@alteholz.de>,
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
@@ -11,30 +14,31 @@
  dh-sequence-numpy3,
  dh-sequence-python3,
  hdf5-tools <!nocheck>,
- libhdf5-openmpi-dev,
+ libhdf5-mpi-dev,
  libhdf5-serial-dev,
  liblz4-dev,
  liblzf-dev,
  libzstd-dev,
- openmpi-bin,
- pkg-config,
+ mpi-default-bin,
+ pkgconf,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-h5py,
  python3-h5py-mpi,
  python3-numpy,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-pytest <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/kiyo-masui/bitshuffle
-Vcs-Browser: https://salsa.debian.org/alteholz/bitshuffle
-Vcs-Git: https://salsa.debian.org/alteholz/bitshuffle.git
+Vcs-Browser: https://salsa.debian.org/science-team/bitshuffle
+Vcs-Git: https://salsa.debian.org/science-team/bitshuffle.git
 Rules-Requires-Root: no
 
 Package: bitshuffle
 Section: libs
 Architecture: any
 Provides:
+ hdf5-filter-plugin-bshuf-mpi,
  hdf5-filter-plugin-bshuf-openmpi,
  hdf5-filter-plugin-bshuf-serial,
 Depends:
