=== debian/tests/control ===
Test-Command: python3 -c 'import sys, h5py; sys.exit(not h5py.h5z.filter_avail(32008))'
Depends:
 python3,
 @,
Restrictions:
 allow-stderr,

Test-Command: H5PY_ALWAYS_USE_MPI=1 python3 -c 'import sys, h5py; sys.exit(not h5py.h5z.filter_avail(32008))'
Depends:
 python3,
 @,
Restrictions:
 allow-stderr,

Tests:
 testsuite,
Depends:
 bitshuffle,
 hdf5-tools,
 python3-all,
 python3-pytest,
Restrictions:
 allow-stderr,
